<?php
/**
 * Clase Base Bean para BaseRhMarcacionDetalleBN
 *
 * @package    Sedapal
 * @subpackage BaseRhMarcacionDetalleBN
 * @author     Willy
 * @version    SVN:: BaseRhMarcacionDetalleBN.class.php,v 1.1 2019-04-30 11:03:16 william.taype Exp $
 */
abstract class BaseRhMarcacionDetalleBN
{
  protected $Iddetalle;
  protected $Idmarcacion;
  protected $Descripcion;
  protected $Flagtienedescuento;
  protected $Secuencia;
  protected $Mensaje;
  protected $Error;

  public function getIddetalle(){
    return $this->Iddetalle;
  }
  public function setIddetalle($v1){
    $this->Iddetalle = $v1; 
  }

  public function getIdmarcacion(){
    return $this->Idmarcacion;
  }
  public function setIdmarcacion($v1){
    $this->Idmarcacion = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getFlagtienedescuento(){
    return $this->Flagtienedescuento;
  }
  public function setFlagtienedescuento($v1){
    $this->Flagtienedescuento = $v1; 
  }

  public function getSecuencia(){
    return $this->Secuencia;
  }
  public function setSecuencia($v1){
    $this->Secuencia = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_marcacion_detalleBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_marcacion_detalleRs )
  {
    $o_RhMarcacionDetalleBN = new RhMarcacionDetalleBN();
    $o_RhMarcacionDetalleBN->setIddetalle( $o_Rh_marcacion_detalleRs['iddetalle'] );
    $o_RhMarcacionDetalleBN->setIdmarcacion( $o_Rh_marcacion_detalleRs['idmarcacion'] );
    $o_RhMarcacionDetalleBN->setDescripcion( $o_Rh_marcacion_detalleRs['descripcion'] );
    $o_RhMarcacionDetalleBN->setFlagtienedescuento( $o_Rh_marcacion_detalleRs['flagtienedescuento'] );
    $o_RhMarcacionDetalleBN->setSecuencia( $o_Rh_marcacion_detalleRs['secuencia'] );
    return $o_RhMarcacionDetalleBN;
  }
}